Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## examples.buybeans.item
Interface CoffeeBean

public interface CoffeeBean
extends BasicBean

This is an item that has the special characteristics of a coffee bean.

     Primary Key = examples.buybeans.item.CoffeeBeanPk

                      gourmet
     [CoffeeBean] <*>------> [boolean]

                      country
     [CoffeeBean] <*>------> [String]

See Also:
  `CoffeeBeanPk`, `CoffeeBeanHome`, `CoffeeBeanImpl`, `CoffeeBeanValue`

Method Summary
`CoffeeBeanValue` | `getCoffeeBeanByValue()` Get all of CoffeeBean's attributes.
`java.lang.String` | `getCountry()` Get the value of country
`boolean` | `getGourmet()` Get the value of gourmet
`void` | `setCoffeeBeanByValue(CoffeeBeanValue value)` Set all of CoffeeBean's attributes to the passed in value.
`void` | `setCountry(java.lang.String country)` Set the value of country
`void` | `setGourmet(boolean gourmet)` Set the value of gourmet

Methods inherited from interface examples.buybeans.item.BasicBean
`getBasicBeanByValue, getCustomerRating, getFullDescription, setBasicBeanByValue, setCustomerRating, setFullDescription`

Methods inherited from interface theory.smart.ebusiness.item.Item
`addFirstQuality, addLastQuality, addQualities, addQualities, addQuality, addQuality, calculatePrice, calculatePrice, containsQuality, getDefaultItemPriceCalculationPolicy, getDescription, getFirstQuality, getIdentifier, getItemByValue, getLastQuality, getNumberOfQualities, getPrice, getQualities, getQualities, getQuality, getSupplier, getVersion, indexOfQuality, isQualitiesEmtpy, lastIndexOfQuality, removeAllQualities, removeFirstQuality, removeLastQuality, removeQuality, removeQuality, setDefaultItemPriceCalculationPolicy, setDescription, setItemByValue, setPrice, setQuality`

Methods inherited from interface theory.smart.foundation.ConfigurableEntity
`setSuccessorAtClassLevel, setSuccessorAtInstanceLevel`

Methods inherited from interface theory.smart.foundation.Configurable
`addProperty, getProperty, removeProperty`

Methods inherited from interface theory.smart.foundation.BusinessPolicyManager
`addBusinessPolicy, getBusinessPolicy, removeBusinessPolicy`

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### getCoffeeBeanByValue

    public CoffeeBeanValue getCoffeeBeanByValue()
                                         throws java.rmi.RemoteException

  Get all of CoffeeBean's attributes.
  Returns:
    CoffeeBeanValue the CoffeeBean value object

### setCoffeeBeanByValue

    public void setCoffeeBeanByValue(CoffeeBeanValue value)
                              throws java.rmi.RemoteException

  Set all of CoffeeBean's attributes to the passed in value. Note: Primary key attributes are not set.
  Parameters:
    `CoffeeBeanValue` - the CoffeeBean value object

### getGourmet

    public boolean getGourmet()
                       throws java.rmi.RemoteException

  Get the value of gourmet
  Returns:
    gourmet.

### setGourmet

    public void setGourmet(boolean gourmet)
                    throws java.rmi.RemoteException

  Set the value of gourmet
  Parameters:
    `gourmets` - gourmet to be added

### getCountry

    public java.lang.String getCountry()
                                throws java.rmi.RemoteException

  Get the value of country
  Returns:
    country.

### setCountry

    public void setCountry(java.lang.String country)
                    throws java.rmi.RemoteException

  Set the value of country
  Parameters:
    `countries` - country to be added

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.